
<!-- products.component.html -->

<div class="container mt-4">
    <div class="row">
      <div class="col-md-4" *ngFor="let product of products">
        <div class="card mb-4">
          <img src="{{ product.imageUrl }}" class="card-img-top" alt="{{ product.name }}" style="height: 200px;">
          <div class="card-body">
            <h5 class="card-title">{{ product.name }}</h5>
            <p class="card-text">{{ product.description }}</p>  
            <p class="card-text">Price: ${{ product.price }}</p>
            <p align="right"><button (click)="addToCart(product)" class="btn btn-primary">AddToCart</button> </p>
          </div>
        </div>
      </div>
    </div>
</div>